#服务器端口
server:
  port: 8200

#数据源配置
#spring:
#  datasource:
#    url: ${blade.datasource.test.url}
#    username: ${blade.datasource.test.username}
#    password: ${blade.datasource.test.password}

spring:
  #排除DruidDataSourceAutoConfigure
  autoconfigure:
    exclude: com.alibaba.druid.spring.boot3.autoconfigure.DruidDataSourceAutoConfigure
  datasource:
    url: ${blade.datasource.test.url}
    username: ${blade.datasource.test.username}
    password: ${blade.datasource.test.password}
    dynamic:
      druid:
        proxy-filters:
          - sqlLogInterceptor
      #设置默认的数据源或者数据源组,默认值即为master
      primary: master
#      datasource:
#        master:
#        slave:
#          url: ${blade.datasource.test.slave.url}
#          username: ${blade.datasource.test.slave.username}
#          password: ${blade.datasource.test.slave.password}
